Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class UploadWithProgressBarRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.UploadWithProgressBarRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class UploadWithProgressBarRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Constructor Summary
`UploadWithProgressBarRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCssClassName()`
`Map<String,Object>` | `getDataMap()`
`int` | `hashCode()`
`boolean` | `isAutoSubmit()`
`boolean` | `isAvoidRepeatFiles()`
`boolean` | `isEnabled()`
`void` | `setAutoSubmit(boolean autoSubmit)`
`void` | `setAvoidRepeatFiles(boolean avoidRepeatFiles)`
`void` | `setCssClassName(String cssClassName)`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setEnabled(boolean enabled)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadWithProgressBarRepresentation

    public UploadWithProgressBarRepresentation()

Method Detail

### isAutoSubmit

    public boolean isAutoSubmit()

### setAutoSubmit

    public void setAutoSubmit(boolean autoSubmit)

### isAvoidRepeatFiles

    public boolean isAvoidRepeatFiles()

### setAvoidRepeatFiles

    public void setAvoidRepeatFiles(boolean avoidRepeatFiles)

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getCssClassName

    public String getCssClassName()

### setCssClassName

    public void setCssClassName(String cssClassName)

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.